Filter "in the past days"

2016-10-19 14:40 - Neto Foltz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

Hi,

using the filter "in the past days" to get time tracking reports, when someone register a spent time today, the report shows hours from

yesterday. Instead it, if no one do a register of time today, the system just show hours from day before yesterday.

Redmine version 3.3.0.stable

Ruby version 2.2.2-p95 (2015-04-13) [x86_64-linux]

Rails version 4.2.6

History

#1 - 2016-10-19 15:26 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please describe more details.

#2 - 2016-10-19 21:02 - Neto Foltz

Let's imagine today morning (oct 19).

Every morning, I get a report of time tracking using the filter "in the past days". At this time, when I take the report, if nobody did a new time register

today (oct 19), the report show data until oct 17.

At moment that someone do a new time register for today (at oct 19), if I get the same report, with same filters, then I can see hours from oct 18.

#3 - 2016-10-20 04:18 - Toshi MARUYAMA

What value is "in the past days"?

Neto Foltz wrote:

Let's imagine today morning (oct 19).

Every morning, I get a report of time tracking using the filter "in the past days". At this time, when I take the report, if nobody did a new time

register today (oct 19), the report show data until oct 17.

 I think it is expected behavior if you use 3 "in the past days".

#4 - 2016-10-21 19:48 - Neto Foltz

- File imagem2.JPG added

- File imagem.JPG added

Toshi MARUYAMA wrote:

What value is "in the past days"?

I think it is expected behavior if you use 3 "in the past days".

 I don't know how the values are sorted or indexed in each language. But if you see this 2 images, maybe it easier to identify what value I'm using.

If it is a expected behavior, may cause some wrong interpretations in the begining of the day.

I can to ask someone who pointed hours yesterday to point it again if no one register some hour today.
#5 - 2016-10-22 15:06 - Toshi MARUYAMA

I think "1 in the past days" includes today and "2 in the past days" includes today and yesterday.

#6 - 2016-10-24 13:34 - Neto Foltz

Toshi MARUYAMA wrote:

I think "1 in the past days" includes today and "2 in the past days" includes today and yesterday.

 OK, we gonna use these two filters.

Let's finish this issue.

Thaks for all.

#7 - 2016-10-24 14:56 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
